Public Member Functions | Protected Attributes | List of all members
StarObjectSpreadsheetInternal::SubDocument Class Referencefinal

Internal: the subdocument of a StarObjectSpreadsheet. More...

Inheritance diagram for StarObjectSpreadsheetInternal::SubDocument:

## Public Member Functions
| SubDocument (librevenge::RVNGString const &text)
| ~SubDocument () final
| destructor
bool | operator!= (STOFFSubDocument const &doc) const override
| operator!=
void | parse (STOFFListenerPtr &listener, libstoff::SubDocumentType type) final
| the parser function
Public Member Functions inherited from STOFFSubDocument
| STOFFSubDocument (STOFFParser *pars, STOFFInputStreamPtr ip, STOFFEntry const &z)
| constructor from parser, input stream and zone in the input
| STOFFSubDocument (STOFFSubDocument const &doc)
| copy constructor
STOFFSubDocument & | operator= (STOFFSubDocument const &doc)
| copy operator
virtual | ~STOFFSubDocument ()
| virtual destructor
bool | operator== (STOFFSubDocument const &doc) const
| comparison operator==
bool | operator!= (std::shared_ptr< STOFFSubDocument > const &doc) const
| comparison operator!=
bool | operator== (std::shared_ptr< STOFFSubDocument > const &doc) const
| comparison operator==

## Protected Attributes
librevenge::RVNGString | m_text
| the note text
Protected Attributes inherited from STOFFSubDocument
STOFFParser * | m_parser
| the main zone parser
std::shared_ptr< STOFFInputStream > | m_input
| the input
STOFFEntry | m_zone
| if valid the zone to parse

## Detailed Description

Internal: the subdocument of a StarObjectSpreadsheet.

## Constructor & Destructor Documentation

## ◆ SubDocument()

StarObjectSpreadsheetInternal::SubDocument::SubDocument | ( | librevenge::RVNGString const & | text | ) |
| inline explicit

## ◆ ~SubDocument()

StarObjectSpreadsheetInternal::SubDocument::~SubDocument | ( |  | ) |
| inline final

destructor

## Member Function Documentation

## ◆ operator!=()

bool StarObjectSpreadsheetInternal::SubDocument::operator!= | ( | STOFFSubDocument const & | doc | ) | const
| inline override virtual

operator!=

Reimplemented from STOFFSubDocument.

## ◆ parse()

void StarObjectSpreadsheetInternal::SubDocument::parse | ( | STOFFListenerPtr & | listener,
|  | libstoff::SubDocumentType | type )
| final virtual

the parser function

Implements STOFFSubDocument.

## Member Data Documentation

## ◆ m_text

librevenge::RVNGString StarObjectSpreadsheetInternal::SubDocument::m_text
| protected

the note text

Referenced by operator!=(), and parse().

The documentation for this class was generated from the following file:

- StarObjectSpreadsheet.cxx